host/tensor_foreach.h File Reference
`#include <stdexcept>`
`#include "cutlass/cutlass.h"`
Include dependency graph for host/tensor_foreach.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

struct | cutlass::reference::host::detail::TensorForEachHelper< Func, Rank, RankRemaining >
| Helper to perform for-each operation. More...
struct | cutlass::reference::host::detail::TensorForEachHelper< Func, Rank, 0 >
| Helper to perform for-each operation. More...
struct | cutlass::reference::host::BlockForEach< Element, Func >

## Namespaces

| cutlass
| cutlass::reference
| cutlass::reference::host
| cutlass::reference::host::detail
| Defines several helpers.

## Functions

template<typename Func , int Rank>
void | cutlass::reference::host::TensorForEach (Coord< Rank > extent, Func &func)
| Iterates over the index space of a tensor. More...
template<typename Func , int Rank>
void | cutlass::reference::host::TensorForEachLambda (Coord< Rank > extent, Func func)
| Iterates over the index space of a tensor and calls a C++ lambda. More...